Up

# GSVbox

### Authors

Nicola Pero (`n.pero@mi.flashnet.it`)

> The GSVbox class (a GNU extension)

Copyright: (C) 1999 Free Software Foundation, Inc.

# Software documentation for the GSVbox class

## GSVbox : GSTable

> Declared in:
>   GNUstepGUI/GSVbox.h

> Standards:
> - MacOS-X
> - OpenStep
> - GNUstep

Description forthcoming.

Method summary

- -addSeparator
- -addSeparatorWithMinYMargin:
- -addView:
- -addView:enablingYResizing:
- -addView:enablingYResizing:withMinYMargin:
- -addView:withMinYMargin:
- -init
- -numberOfViews
- -setDefaultMinYMargin:

### addSeparator

- (void) addSeparator;

Description forthcoming.

### addSeparatorWithMinYMargin:

- (void) addSeparatorWithMinYMargin: (float)aMargin;

Description forthcoming.

### addView:

- (void) addView: (NSView*)aView;

Description forthcoming.

### addView:enablingYResizing:

- (void) addView: (NSView*)aView enablingYResizing: (BOOL)aFlag;

Description forthcoming.

### addView:enablingYResizing:withMinYMargin:

- (void) addView: (NSView*)aView enablingYResizing: (BOOL)aFlag withMinYMargin: (float)aMargin;

Description forthcoming.

### addView:withMinYMargin:

- (void) addView: (NSView*)aView withMinYMargin: (float)aMargin;

Description forthcoming.

### init

- (id) init;

Description forthcoming.

### numberOfViews

- (int) numberOfViews;

Description forthcoming.

### setDefaultMinYMargin:

- (void) setDefaultMinYMargin: (float)aMargin;

Description forthcoming.

Up